%ECOLI 336 objects with 7 features in 8 classes
%
%      X = ECOLI
%
% Predict the localization site of protein in a cell, by Kenta Nakai
% Institue of Molecular and Cellular Biology Osaka, University
% This is the 'Ecoli'  dataset of the UCI Machine Learning Repository, 
% //www.ics.uci.edu/~mlearn/MLRepository.html

function a = ecoli

a = pr_loadmatfile;
if isempty(a)
  opt.labfeat   = 8;
  opt.featnames = {'mcg' 'gvh' 'lip' 'chg' 'aac' 'alm1' 'alm2'};
  opt.classnames = {'cytoplasm' 'inner membrane without signal sequence' ...
    'periplasm' 'inner membrane, uncleavable signal sequence' ...
    'outer membrane' 'outer membrane lipoprotein' ...
    'inner membrane lipoprotein' 'inner membrane, cleavable signal sequence'};
  opt.desc='The Ecoli database from UCI. Goal is to Predict the localization site of protein in a cell, by Kenta Nakai Institue of Molecular and Cellular Biology Osaka, University.';
  opt.link = 'ftp://ftp.ics.uci.edu/pub/machine-learning-databases/ecoli/';
  opt.dsetname = 'Ecoli';
  a = pr_download('http://prtools.tudelft.nl/prdatasets/ecoli.dat',[],opt);
end

return
